%define dist Compress-Zlib
Name: perl-%dist
Version: 1.42
Release: alt3

Summary: Perl interface to the zlib library
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version-no-zlib-src.tar
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Tue Aug 21 2007
BuildRequires: perl-Encode perl-devel zlib-devel

%description
This module provides a Perl interface to part of the info-zip zlib
compression library. For more details see the pod documentation
embedded in the file Zlib.pm.

%prep
%setup -q -n %dist-%version
%patch -p1

%build
export BUILD_ZLIB=False OLD_ZLIB=False INCLUDE=%_includedir LIB=%_libdir
%perl_vendor_build
rm examples/*.bak

%install
%perl_vendor_install

%files
%doc ANNOUNCE Changes README examples
%perl_vendor_archlib/Compress
%perl_vendor_autolib/Compress

%changelog
* Tue Aug 21 2007 Alexey Tourbin <at@altlinux.ru> 1.42-alt3
- changed src.rpm packaging to keep upstream sources intact

* Tue Feb 27 2007 Alexey Tourbin <at@altlinux.ru> 1.42-alt2
- replaced DynaLoader with XSLoader
- removed AutoLoader which was not needed
- compiled with PERL_NO_GET_CONTEXT for efficiency
- replaced buggy Perl_ninstr() with memchr(3)

* Thu Jul 06 2006 Alexey Tourbin <at@altlinux.ru> 1.42-alt1
- 1.38 -> 1.42

* Thu Sep 08 2005 Alexey Tourbin <at@altlinux.ru> 1.38-alt1
- 1.36 -> 1.38

* Sat Aug 06 2005 Alexey Tourbin <at@altlinux.ru> 1.36-alt1
- 1.34 -> 1.36
- alt-XSLoader.patch merged upstream (cpan #13421)

* Sun Jun 26 2005 Alexey Tourbin <at@altlinux.ru> 1.34-alt2
- added XSLoader stuff (cpan #13421)

* Wed Feb 02 2005 Alexey Tourbin <at@altlinux.ru> 1.34-alt1
- 1.33 -> 1.34
- manual pages not packaged (use perldoc)

* Fri Apr 16 2004 Alexey Tourbin <at@altlinux.ru> 1.33-alt1
- 1.32 -> 1.33

* Mon Dec 01 2003 Alexey Tourbin <at@altlinux.ru> 1.32-alt1
- 1.32

* Tue Nov 11 2003 Alexey Tourbin <at@altlinux.ru> 1.31-alt1
- 1.31; bundled zlib sources ignored

* Tue Jul 08 2003 Alexey Tourbin <at@altlinux.ru> 1.22-alt1
- 1.22

* Fri May 09 2003 Alexey Tourbin <at@altlinux.ru> 1.21-alt1
- 1.21; specfile cleanup

* Wed Dec 18 2002 Alexey Tourbin <at@altlinux.ru> 1.19-alt1
- 1.19
- more %%doc files

* Thu Oct 31 2002 Alexey Tourbin <at@altlinux.ru> 1.18-alt1
- 1.18
- rebuilt for perl-5.8 with new rpm macros

* Sun Jun 09 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.16-alt1
- Initial release
